Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config.simple.editor
Class StandardPropsViewPanel.MyTable.DefaultDataModel

    java.lang.Object
      |
      +--javax.swing.table.AbstractTableModel
            |
            +--jpos.config.simple.editor.StandardPropsViewPanel.MyTable.DefaultDataModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

Enclosing class:
  StandardPropsViewPanel.MyTable

protected class StandardPropsViewPanel.MyTable.DefaultDataModel
extends javax.swing.table.AbstractTableModel

Default TableModel for the MyTable class and subclasses

Since:
  2.0.0
Author:
  E. Michael Maximilien (maxim@us.ibm.com), S. Hanai
See Also:
  Serialized Form

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`protected` | `StandardPropsViewPanel.MyTable.DefaultDataModel()`

Method Summary
`int` | `getColumnCount()`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int row, int col)`
`boolean` | `isCellEditable(int rowIndex, int columnIndex)`
`void` | `setValueAt(java.lang.Object aValue, int row, int col)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getColumnName, getListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardPropsViewPanel.MyTable.DefaultDataModel

    protected StandardPropsViewPanel.MyTable.DefaultDataModel()

Method Detail

### getColumnCount

    public int getColumnCount()

  Overrides:
    `getColumnCount` in class `javax.swing.table.AbstractTableModel`

### getRowCount

    public int getRowCount()

  Overrides:
    `getRowCount` in class `javax.swing.table.AbstractTableModel`

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int col)

  Overrides:
    `getValueAt` in class `javax.swing.table.AbstractTableModel`

### setValueAt

    public void setValueAt(java.lang.Object aValue,
                           int row,
                           int col)

  Overrides:
    `setValueAt` in class `javax.swing.table.AbstractTableModel`

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int columnIndex)

  Overrides:
    `isCellEditable` in class `javax.swing.table.AbstractTableModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details